Bug 916431 - Review Request: python-tw2-jqplugins-jqplot - Toscawidgets2 wrapper for the jqPlot jQuery plugin
Summary: Review Request: python-tw2-jqplugins-jqplot - Toscawidgets2 wrapper for the j...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 916436
TreeView+ depends on / blocked
 
Reported: 2013-02-28 03:33 UTC by Ralph Bean
Modified: 2015-01-14 22:22 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-20 10:51:03 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2013-02-28 03:33:14 UTC
Spec URL: http://ralph.fedorapeople.org//python-tw2-jqplugins-jqplot.spec
SRPM URL: http://ralph.fedorapeople.org//python-tw2-jqplugins-jqplot-2.0.3-1.fc18.src.rpm

Description:
tw2.jqplugins.jqplot is a toscawidgets2 wrapper for jqPlot.

Toscawidgets2 aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features,
faster and easier. Widgets are re-usable web components that can include a
template, server-side code and JavaScripts/CSS resources. The library aims
to be: flexible, reliable, documented, performant, and as simple as
possible.

jqPlot is a plotting and charting plugin for the jQuery Javascript
framework. jqPlot produces beautiful line, bar and pie charts.

This module, tw2.jqplugins.jqplot, provides toscawidgets2 (tw2) access
to jqPlot widgets.

Comment 1 Ralph Bean 2013-02-28 03:33:18 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5063069

Comment 2 Mario Blättermann 2013-04-25 18:55:33 UTC
Scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5302891

$ rpmlint -i -v *python-tw2-jqplugins-jqplot.src: I: checking
python-tw2-jqplugins-jqplot.src: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
The value of this tag appears to be misspelled. Please double-check.

python-tw2-jqplugins-jqplot.src: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
The value of this tag appears to be misspelled. Please double-check.

python-tw2-jqplugins-jqplot.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
The value of this tag appears to be misspelled. Please double-check.

python-tw2-jqplugins-jqplot.src: I: checking-url http://pypi.python.org/pypi/tw2.jqplugins.jqplot (timeout 10 seconds)
python-tw2-jqplugins-jqplot.src: I: checking-url http://pypi.python.org/packages/source/t/tw2.jqplugins.jqplot/tw2.jqplugins.jqplot-2.0.3.tar.gz (timeout 10 seconds)
python-tw2-jqplugins-jqplot.noarch: I: checking
python-tw2-jqplugins-jqplot.noarch: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
The value of this tag appears to be misspelled. Please double-check.

python-tw2-jqplugins-jqplot.noarch: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
The value of this tag appears to be misspelled. Please double-check.

python-tw2-jqplugins-jqplot.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
The value of this tag appears to be misspelled. Please double-check.

python-tw2-jqplugins-jqplot.noarch: I: checking-url http://pypi.python.org/pypi/tw2.jqplugins.jqplot (timeout 10 seconds)
python-tw2-jqplugins-jqplot.spec: I: checking-url http://pypi.python.org/packages/source/t/tw2.jqplugins.jqplot/tw2.jqplugins.jqplot-2.0.3.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Some ignorable spelling errors, again.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    MIT
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    d00a3dddf5c99f98b00fad223eb75be6666106d853d01b2709adf5528a67094a  tw2.jqplugins.jqplot-2.0.3.tar.gz
    d00a3dddf5c99f98b00fad223eb75be6666106d853d01b2709adf5528a67094a  tw2.jqplugins.jqplot-2.0.3.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------

Comment 3 Ralph Bean 2013-04-25 19:14:03 UTC
New Package SCM Request
=======================
Package Name: python-tw2-jqplugins-jqplot
Short Description: Toscawidgets2 wrapper for the jqPlot jQuery plugin
Owners: ralph
Branches: f19 f18 f17 el6
InitialCC:

Comment 4 Gwyn Ciesla 2013-04-25 19:40:25 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-04-26 02:31:25 UTC
python-tw2-jqplugins-jqplot-2.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-jqplot-2.0.3-1.fc19

Comment 6 Fedora Update System 2013-04-26 02:31:46 UTC
python-tw2-jqplugins-jqplot-2.0.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-jqplot-2.0.3-1.fc18

Comment 7 Fedora Update System 2013-04-26 02:32:03 UTC
python-tw2-jqplugins-jqplot-2.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-jqplot-2.0.3-1.fc17

Comment 8 Fedora Update System 2013-04-26 02:32:22 UTC
python-tw2-jqplugins-jqplot-2.0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-jqplot-2.0.3-1.el6

Comment 9 Fedora Update System 2013-05-14 04:46:31 UTC
python-tw2-jqplugins-jqplot-2.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2013-05-14 17:46:58 UTC
python-tw2-jqplugins-jqplot-2.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2013-05-15 03:33:26 UTC
python-tw2-jqplugins-jqplot-2.0.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-05-15 03:33:42 UTC
python-tw2-jqplugins-jqplot-2.0.3-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 13 Mario Blättermann 2013-05-20 10:51:03 UTC
Packages are in the stable repos for all requested branches.

Comment 14 Ralph Bean 2015-01-14 21:28:23 UTC
Package Change Request
======================
Package Name: python-tw2-jqplugins-jqplot
New Branches: epel7
Owners: ralph

Comment 15 Gwyn Ciesla 2015-01-14 22:22:09 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.